banshee r4749 - trunk/banshee/build/osx
- From: abock svn gnome org
- To: svn-commits-list gnome org
- Subject: banshee r4749 - trunk/banshee/build/osx
- Date: Sat, 25 Oct 2008 05:03:34 +0000 (UTC)
Author: abock
Date: Sat Oct 25 05:03:34 2008
New Revision: 4749
URL: http://svn.gnome.org/viewvc/banshee?rev=4749&view=rev
Log:
Support building from releases
Added:
trunk/banshee/build/osx/release.sh (contents, props changed)
Modified:
trunk/banshee/build/osx/make-app-bundle.sh
Modified: trunk/banshee/build/osx/make-app-bundle.sh
==============================================================================
--- trunk/banshee/build/osx/make-app-bundle.sh (original)
+++ trunk/banshee/build/osx/make-app-bundle.sh Sat Oct 25 05:03:34 2008
@@ -14,9 +14,19 @@
rm -rf $APP_DIR
cp -rf app-bundle-data Banshee.app
-cp -rf ../../bin/* $BUNDLE
-mkdir $BUNDLE/gstreamer-0.10
+if [ -d release-install ]; then
+ # we are building the .app from a tarball
+ cp -rf release-install/lib/banshee-1/* $BUNDLE
+ mkdir $BUNDLE/share
+ cp -rf release-install/share/banshee-1 $BUNDLE/share
+ cp -rf release-install/share/locale $BUNDLE/share
+else
+ # we are building from a svn build
+ cp -rf ../../bin/* $BUNDLE
+fi
+
+mkdir -p $BUNDLE/gstreamer-0.10
# Copy all runtime dependencies for bundling
cp $BUILD_PREFIX/bin/{gst-launch,gst-inspect}-0.10 $BUNDLE &>/dev/null
Added: trunk/banshee/build/osx/release.sh
==============================================================================
--- (empty file)
+++ trunk/banshee/build/osx/release.sh Sat Oct 25 05:03:34 2008
@@ -0,0 +1,59 @@
+#!/bin/bash
+
+pushd $(dirname $0) &>/dev/null
+source build.env || exit $?
+
+if [ ! -d $BUILD_PREFIX ]; then
+ echo "Error: Banshee bundle dependencies do not appear to be built."
+ echo " please run the build-deps.sh script, and refer to the"
+ echo " README file for building on Mac OS X."
+ echo
+ echo " $(dirname $0)/README"
+ echo
+ exit 1
+fi
+
+function bail () {
+ echo "ERROR: Release build failed: $1"
+ exit 1
+}
+
+VERSION=$1
+SOURCE_DIR=banshee-1-$VERSION
+TARBALL=$SOURCE_DIR.tar.bz2
+INSTALL_PREFIX=$(pwd)/release-install
+
+[[ -z "$VERSION" ]] && bail "Please specify a release version"
+
+rm -rf $SOURCE_DIR
+
+[[ -f $TARBALL ]] || {
+ curl -Lsf -O http://download.banshee-project.org/banshee/$TARBALL || {
+ bail "Could not download tarball for release $VERSION"
+ }
+}
+
+tar jxf $TARBALL || bail "Could not extract release tarball"
+
+pushd $SOURCE_DIR &>/dev/null
+./configure --prefix=$INSTALL_PREFIX \
+ --disable-mtp \
+ --disable-daap \
+ --disable-ipod \
+ --disable-boo \
+ --disable-gnome \
+ --disable-docs \
+ --enable-osx || "Configure failed"
+make || bail "Build failed"
+make install || "Install failed"
+popd &>/dev/null
+
+./make-dmg-bundle.sh || "Image creation failed"
+DMG_FILE=banshee-1-$VERSION.macosx.intel.dmg
+mv Banshee.dmg $DMG_FILE
+rm -rf $SOURCE_DIR
+
+echo "$DMG_FILE is ready."
+
+popd &>/dev/null
+
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]